from sqlalchemy import Column, Integer, ForeignKey
from app.db.base_class import Base


class AnimeGenre(Base):
    id = Column(Integer, primary_key=True, index=True)
    anime_id = Column(Integer, ForeignKey("anime.id", ondelete="CASCADE"), nullable=False)
    genre_id = Column(Integer, ForeignKey("genre.id", ondelete="CASCADE"), nullable=False)